Bug 1005800 - Review Request: jsonic - Simple JSON encoder/decoder for Java
Review Request: jsonic - Simple JSON encoder/decoder for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1005796
  Show dependency treegraph
 
Reported: 2013-09-09 08:17 EDT by gil cattaneo
Modified: 2013-12-13 22:00 EST (History)
2 users (show)

See Also:
Fixed In Version: jsonic-1.3.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:00:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-09-09 08:17:16 EDT
Spec URL: http://gil.fedorapeople.org/jsonic.spec
SRPM URL: http://gil.fedorapeople.org/jsonic-1.3.0-1.fc19.src.rpm
Description:
JSON library for Java, JSONIC is RFC 4627, while
decoding/encoding in JSON format formal seconds,
not including the information in JSON that
is independent of the programming language POJO
(Plain There is a feature that allows a natural
transformation and Old Java Object).
Fedora Account System Username: gil
Comment 1 Zbigniew Jędrzejewski-Szmek 2013-12-02 08:44:53 EST
I'll review this, but do we actually need this? There's already

android-json-org-java
google-gson
json-lib
json_simple
jsonp
jackson

?
Comment 2 gil cattaneo 2013-12-02 13:34:50 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> I'll review this, but do we actually need this?
is used by Apache Solr 4.x  for  contrib/langid sub module
 There's already
> 
> android-json-org-java
> google-gson
> json-lib
> json_simple
> jsonp
> jackson
> 
> ?
is not the same...
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-12-03 16:42:57 EST
OK, it seems that each one of those has different enough API not to be interchangeable... It would be nice to standarize on a smaller subset of java json libraries, but oh well.

Issues:

1. jsonic-javadoc could co-own /usr/share/doc/jsonic/LICENSE.txt with jsonic, to avoid having an extra directory with one file.

2. suggested %description (not very good, but I think it's better then the proposed one):

Jsonic is a JSON encoding/decoding library for Java implementing RFC 4627
(The application/json Media Type for JavaScript Object Notation).
Encoding/decoding of primitive types and full Java objects is supported.

+ Source URL works, checksum matches
+ Spec file is very nice
+ License is OK
+ No rpmlint output, this must be some black magic.
+ Package follows Java packaging guidelines

Everything seems OK. Package is APPROVED.
Comment 4 Zbigniew Jędrzejewski-Szmek 2013-12-03 17:05:35 EST
Oh, it builds in koji for F20, but not F21...

F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6253866
F21: http://koji.fedoraproject.org/koji/taskinfo?taskID=6253822
Comment 5 gil cattaneo 2013-12-03 20:09:41 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)

> 
> Issues:
> 
> 1. jsonic-javadoc could co-own /usr/share/doc/jsonic/LICENSE.txt with
> jsonic, to avoid having an extra directory with one file.
> 
?
> 2. suggested %description (not very good, but I think it's better then the
> proposed one):
> 
> Jsonic is a JSON encoding/decoding library for Java implementing RFC 4627
> (The application/json Media Type for JavaScript Object Notation).
> Encoding/decoding of primitive types and full Java objects is supported.
> 
Done

Thanks!

New Package SCM Request
=======================
Package Name: jsonic
Short Description: Simple JSON encoder/decoder for Java
Owners: gil
Branches: f20
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2013-12-04 08:40:36 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-12-04 13:25:52 EST
jsonic-1.3.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jsonic-1.3.0-2.fc20
Comment 9 Fedora Update System 2013-12-04 19:41:01 EST
jsonic-1.3.0-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2013-12-13 22:00:21 EST
jsonic-1.3.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.